Bug 216649 - databases/sqlitestudio: fails to build with clang 4.0
Summary: databases/sqlitestudio: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-31 01:18 UTC by Jan Beich
Modified: 2018-01-23 08:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-31 01:18:31 UTC
In file included from common/utils_sql.cpp:1:
In file included from coreSQLiteStudio/common/utils_sql.h:5:
In file included from coreSQLiteStudio/parser/token.h:4:
In file included from coreSQLiteStudio/common/utils.h:4:
In file included from coreSQLiteStudio/coreSQLiteStudio_global.h:4:
In file included from /usr/local/include/qt5/QtCore/qglobal.h:77:
In file included from /usr/local/include/qt5/QtCore/qcompilerdetection.h:936:
In file included from /usr/include/c++/v1/utility:198:
In file included from /usr/include/c++/v1/__tuple:16:
/usr/include/c++/v1/type_traits:4301:23: error: calling 'operator()' with incomplete return type 'QVariant'
_LIBCPP_INVOKE_RETURN(_VSTD::forward<_Fp>(__f)(_VSTD::forward<_Args>(__args)...))
~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/__config:390:15: note: expanded from macro '_VSTD'
#define _VSTD std::_LIBCPP_NAMESPACE
              ^
/usr/include/c++/v1/type_traits:4198:23: note: expanded from macro '_LIBCPP_INVOKE_RETURN'
    noexcept(noexcept(__VA_ARGS__)) -> decltype(__VA_ARGS__) \
                      ^~~~~~~~~~~
/usr/include/c++/v1/type_traits:4318:9: note: in instantiation of exception specification for '__invoke<std::__1::function<QVariant (const QList<QVariant> &, Db *, bool &)> &, const QList<QVariant> &, Db *, bool &>' requested here
        _VSTD::__invoke(_VSTD::declval<_Fp>(), _VSTD::declval<_Args>()...));
        ^
/usr/include/c++/v1/__config:390:15: note: expanded from macro '_VSTD'
#define _VSTD std::_LIBCPP_NAMESPACE
              ^
/usr/include/c++/v1/functional:1591:33: note: in instantiation of template class 'std::__1::__invokable_r<void, std::__1::function<QVariant (const QList<QVariant> &, Db *, bool &)> &, const QList<QVariant> &, Db *, bool &>' requested here
                                __invokable<_Fp&, _ArgTypes...>::value>
                                ^
/usr/include/c++/v1/functional:1616:9: note: in instantiation of default argument for '__callable<std::__1::function<QVariant (const QList<QVariant> &, Db *, bool &)> >' required here
        __callable<_Fp>::value && !is_same<_Fp, function>::value
        ^~~~~~~~~~~~~~~
/usr/include/c++/v1/functional:1618:5: note: in instantiation of default argument for 'function<std::__1::function<QVariant (const QList<QVariant> &, Db *, bool &)> >' required here
    function(_Fp);
    ^~~~~~~~~~~~~
/usr/include/c++/v1/functional:1578:28: note: while substituting deduced template arguments into function template 'function' [with _Fp = std::__1::function<QVariant (const QList<QVariant> &, Db *, bool &)>, $1 = (no value)]
class _LIBCPP_TEMPLATE_VIS function<_Rp(_ArgTypes...)>
                           ^
/usr/include/c++/v1/functional:1670:9: note: 'operator()' declared here
    _Rp operator()(_ArgTypes...) const;
        ^
/usr/local/include/qt5/QtCore/qmetatype.h:1887:1: note: forward declaration of 'QVariant'
QT_FOR_EACH_STATIC_CORE_CLASS(QT_FORWARD_DECLARE_STATIC_TYPES_ITER)
^
/usr/local/include/qt5/QtCore/qmetatype.h:109:21: note: expanded from macro 'QT_FOR_EACH_STATIC_CORE_CLASS'
    F(QVariant, 41, QVariant) \
                    ^

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/sqlitestudio-3.1.1.log
libc++ first bad: https://github.com/llvm-mirror/libcxx/commit/8d5cbd7ce2e9
Comment 1 Jan Beich freebsd_committer 2017-01-31 01:20:27 UTC
Note, sqlitestudio-3.1.1 builds fine with clang 3.9 or with clang 4.0 before that libc++ commit.
Comment 2 Yuri Victorovich freebsd_committer 2017-01-31 01:29:23 UTC
The upstream bug report: https://bugs.sqlitestudio.pl/?id=3267
Comment 3 Yuri Victorovich freebsd_committer 2017-04-14 17:19:53 UTC
SQliteStudio upstream bug: https://bugs.sqlitestudio.pl/?id=3143
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-23 07:49:45 UTC
seems fixed with this commit https://svnweb.freebsd.org/ports?view=revision&revision=454970.
Comment 5 Yuri Victorovich freebsd_committer 2018-01-23 08:02:25 UTC
(In reply to w.schwarzenfeld from comment #4)

That's great news! Yay!